English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# Exceptions

The `google.appengine.api.urlfetch` package provides the following exception classes:

exception Error()

  This is the base class for all exceptions in this package.

exception InvalidURLError()

  The URL of the request was not a valid URL, or it used an unsupported method. Only `http` and `https` URLs are supported.

exception DownloadError()

  There was an error retrieving the data.

  This exception is not raised if the server returns an HTTP error code: In that case, the response data comes back intact, including the error code.

exception ResponseTooLargeError()

  The response data exceeded the maximum allowed size, and the `allow_truncated` parameter passed to fetch() was `False`.